﻿@model IEnumerable<Domain.Ejemplo.Producto>
@{
    ViewData["Title"] = "Listado de productos";
    ViewData["Section"] = "Producto";
    var ayuda = "<div class='col-lg-12'>" +
             " <div class='alert alert-outline-info fade show' role='alert'>" +
             " <div class='alert-icon'><i class='flaticon-information'></i></div>" +
             "<div class='alert-text'>" +
             "Este apartado muestra un listado de los<b> Productos</b> previamente registrados, aquí podrá hacer las siguientes acciones:" +
             "<strong> <ul><li> Crear un nuevo producto. </li><li>  Editar un producto existente </li><li>Ver los detalles de un producto</li><li> Eliminar un producto existente</li></ul></strong>" +
             "</div>" +
             "</div>" +
             "</div>";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<style>
    .popover {
        max-width: 80%; /* Max Width of the popover (depending on the container!) */
        width: 80%; /* Max Width of the popover (depending on the container!) */
    }
    /* Ajusta la columna "Nombre" de la tabla en caso de que contenga un registro con cadena extensa, evita que se rompa el diseño responsivo*/
    .tdAjustado {
        max-width: 150px;
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
    }
</style>

<link href="~/assets/vendors/general/sweetalert2/dist/sweetalert2.css" rel="stylesheet" type="text/css" />

<!-- begin:: Content Body -->
<div class="k-content__body	k-grid__item k-grid__item--fluid" id="k_content_body">
    @if (TempData["Success"] != null)
    {
        <div class="alert alert-success fade show" role="alert">
            <div class="alert-icon"><i class="fa fa-check-circle"></i></div>
            <div class="alert-text"><strong>¡Éxito!</strong> @TempData["Success"]</div>
            <div class="alert-close">
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true"><i class="la la-close"></i></span>
                </button>
            </div>
        </div>
    }
    @if (TempData["Error"] != null)
    {
        <div class="alert alert-danger fade show" role="alert">
            <div class="alert-icon"><i class="flaticon-warning"></i></div>
            <div class="alert-text"><strong>¡Advertencia!</strong> @TempData["Error"]</div>
            <div class="alert-close">
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true"><i class="la la-close"></i></span>
                </button>
            </div>
        </div>
    }
    <!--begin::Portlet-->
    <div class="row">
        <div class="col-sm-12">
            <div class="k-portlet" id="k_page_portlet">
                <div class="k-portlet__head k-portlet__head--lg">
                    <div class="k-portlet__head-label">
                        <h3 class="k-portlet__head-title">@ViewData["Title"]</h3>
                    </div>
                    <div class="k-portlet__head-toolbar">
                        <div class="k-portlet__head-toolbar-wrapper">
                            <span class="d-inline-block" tabindex="0" data-toggle="k-tooltip" data-skin="dark" title="" data-original-title="Crear un @ViewData["Section"]">
                                <a asp-action="Crear" class="btn btn-success" title="Crear un @ViewData["Section"]">
                                    <i class="la la-plus-circle"></i>
                                    <span class="k-hidden-mobile">Crear @ViewData["Section"]</span>
                                </a>
                            </span>
                        </div>
                    </div>
                </div>
                <div class="k-portlet__body">
                    <div class="k-section">
                        @*Ayuda para movil, la movil se clickea en el mensaje para cerrar*@
                        <div class="d-sm-none">
                            <a tabindex="0" class="btn btn-outline-info btn-elevate btn-circle btn-icon float-right" role="button" data-toggle="popover" data-trigger="focus" data-html="true" title="@ViewData["Title"]" data-content="@ayuda" style="width: 30px;height: 30px;">
                                <span class="fa fa-info"></span>
                            </a>
                        </div>
                        @*Ayuda para escritorio*@
                        <div class="d-none d-sm-block">
                            <button type="button" class="btn btn-outline-info btn-elevate btn-circle btn-icon float-right" data-toggle="popover" data-trigger="hover" data-html="true" title="@ViewData["Title"]" data-content="@ayuda" style="height: 30px;width: 30px;">
                                <span class="fa fa-info"></span>
                            </button>
                        </div>
                    </div>
                    <div id="k_table_1_wrapper" class="dataTables_wrapper dt-bootstrap4 no-footer">
                        <div class="row">
                            <div class="col-sm-12">
                                @if (Model.Any())
                                {
                                    @using (Html.BeginForm(null, null, FormMethod.Post, new { id = "__AjaxAntiForgeryForm" }))
                                    {
                                        @Html.AntiForgeryToken()
                                    }
                                    <table class="table table-striped table-bordered table-hover dataTable no-footer dtr-inline dt-responsive nowrap" id="example" role="grid" aria-describedby="k_table_1_info" style="width: 987px;">
                                        <thead>
                                            <tr role="row">
                                                <th class="Print">Nombre</th>
                                                <th class="Print">Descripci&oacute;n</th>
                                                <th>Acciones</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            @foreach (  var item in Model)
                                            {
                                                <tr role="row" class="odd parent">
                                                    <td class="tdAjustado">@item.Nombre</td>
                                                    <td class="tdAjustado">@item.Descripcion</td>
                                                    <td>
                                                        <span class="d-inline-block" tabindex="0" data-toggle="k-tooltip" data-skin="dark" title="" data-original-title="Editar">
                                                            <a class="btn btn-primary btn-icon" asp-route-id="@item.Id" asp-action="Editar"  title="Editar @ViewData["Section"]"><i class="fa fa-pencil-alt"></i></a>
                                                        </span>
                                                        <span class="d-inline-block" tabindex="0" data-toggle="k-tooltip" data-skin="dark" title="" data-original-title="Detalle">
                                                            <a class="btn btn-primary btn-icon" asp-route-id="@item.Id" asp-action="Detalles" title="Detalle @ViewData["Section"]"><i class="fa fa-eye"></i></a>
                                                        </span>
                                                        <span class="d-inline-block" tabindex="0" data-toggle="k-tooltip" data-skin="dark" title="" data-original-title="Imagenes">
                                                            <a class="btn btn-info btn-icon" asp-route-id="@item.Id" asp-action="ProductoIma" ><i class="far fa-image" aria-hidden="true"></i></a>
                                                        </span>
                                                        <span class="d-inline-block" tabindex="0" data-toggle="k-tooltip" data-skin="dark" title="" data-original-title="Eliminar">
                                                            <button class="btn btn-danger btn-icon" title="Eliminar @ViewData["Section"]" onclick="eliminarCSRF('/Productos/EliminarConfirmado/','@item.Id','@item.Nombre')"><i class="fa fa-trash-alt"></i></button>
                                                        </span>

                                                    </td>
                                                </tr>
                                            }
                                        </tbody>
                                    </table>
                                }
                                else
                                {
                                    <div class="alert alert-light alert-elevate" role="alert">
                                        <div class="alert-icon"><i class=""></i></div>
                                        <div class="alert-text text-center">Sin registros</div>
                                    </div>
                                }
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!--end::Portlet-->
</div>

S
@section scripts{
    <script src="~/assets/vendors/general/sweetalert2/dist/sweetalert2.min.js" type="text/javascript"></script>
    <script src="~/assets/vendors/custom/theme/framework/vendors/sweetalert2/init.js" type="text/javascript"></script>
    <script src="~/assets/demo/default/custom/components/extended/sweetalert2.js" type="text/javascript"></script>
    <script src="~/js/Common/Alerts.js"></script>
    <script src="~/js/Common/ModalMaster.js"></script>
    <script src="~/assets/demo/default/custom/components/base/popovers.js" type="text/javascript"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/dropzone/5.5.1/dropzone.js" integrity="sha256-awEOL+kdrMJU/HUksRrTVHc6GA25FvDEIJ4KaEsFfG4=" crossorigin="anonymous"></script>
}